> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sylvian.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fill Status

> Poll fill job status.

Returns:
- status: queued|running|succeeded|failed
- error: error message if failed
- fill_id: fills.id
- download_url: shareable URL when succeeded
- expires_at: download link expiration



## OpenAPI

````yaml openapi.json get /fill/{job_id}
openapi: 3.1.0
info:
  title: Forms API
  version: 0.1.0
servers: []
security: []
paths:
  /fill/{job_id}:
    get:
      summary: Get Fill Status
      description: |-
        Poll fill job status.

        Returns:
        - status: queued|running|succeeded|failed
        - error: error message if failed
        - fill_id: fills.id
        - download_url: shareable URL when succeeded
        - expires_at: download link expiration
      operationId: get_fill_status_fill__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            title: Job Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````